You are not logged in.

#1 2020-02-10 23:32:52

schard
Member
From: Hannover
Registered: 2016-05-06
Posts: 758
Website

[SOLVED] Cacti 1.2.9-1 installation: csrf-secret.php not writable

After just upgrading to cacti 1.2.9-1, after login on the web frontend, I am prompted again of going through the installation wizard.
I, however, cannot proceed past

/install/install.php?data={"Step":"4","Eula":"1"}

.
In the Required Writable at Install Time Only table it says:

/usr/share/webapps/cacti/include/vendor/csrf/csrf-secret.php
Not Writable

I tried creating the file, making it writable and giving it to the cacti user:

$ LANG=C stat /usr/share/webapps/cacti/include/vendor/csrf/csrf-secret.php
  File: /usr/share/webapps/cacti/include/vendor/csrf/csrf-secret.php
  Size: 8         	Blocks: 8          IO Block: 4096   regular file
Device: fe00h/65024d	Inode: 57936043    Links: 1
Access: (0644/-rw-r--r--)  Uid: (  967/   cacti)   Gid: (   33/    http)
Access: 2020-02-11 00:23:12.028456826 +0100
Modify: 2020-02-11 00:23:12.028456826 +0100
Change: 2020-02-11 00:25:44.101333318 +0100
 Birth: 2020-02-11 00:23:12.028456826 +0100
$ cat /usr/share/webapps/cacti/include/vendor/csrf/csrf-secret.php
<?php
>

I found zero results googling for this issue. How can I get cacti to work again - apart from downgrading.

Solution
Problem no longer occurs after upgrade to cacti 1.2.10-1.

Last edited by schard (2020-03-04 17:17:38)

Offline

#2 2020-02-11 02:34:27

mercurytoxic
Member
Registered: 2014-03-06
Posts: 1

Re: [SOLVED] Cacti 1.2.9-1 installation: csrf-secret.php not writable

To fix

/usr/share/webapps/cacti/include/vendor/csrf/csrf-secret.php ====> Not Writable

that appears in the cacti install/upgrade wizard

Solution
Edit php-fpm write override with:

systemctl edit php-fpm.service

and add

[Service]
ReadWritePaths = /usr/share/webapps/cacti/include/vendor/csrf

now change permissions on csrf folder

chown -R cacti:cacti /usr/share/webapps/cacti/include/vendor/csrf

restart php-fpm.service

systemctl restart php-fpm.service

You might need to reload the page or close and reopen the browser.

Offline

#3 2020-02-11 09:02:44

schard
Member
From: Hannover
Registered: 2016-05-06
Posts: 758
Website

Re: [SOLVED] Cacti 1.2.9-1 installation: csrf-secret.php not writable

Well thank you, that actually worked.
However now, cacti's setup wizard is stuck at the next page

/install/install.php?data={"Step":5,"Eula":true}

with the message One or more paths appear to be incorrect, unable to proceed.
However it shows green check marks on all files and I manually checked them on the server.
I even installed cacti-spine for that matter.
It still shows this error.

Offline

Board footer

Powered by FluxBB